Mac Rails gem install mysql2 fail

My Mac OS X version is 10.6.6 Ruby version is 1.9.2 Rails version is
3.1 Please note that I have installed MAMP before. When I type gem
install mysql2, a message shows:

yeung-catoteki-iMac:~ catoyeung$ gem install mysql2
Building native extensions. This could take a while…
ERROR: Error installing mysql2:
ERROR: Failed to build gem native extension.

/Users/catoyeung/.rvm/rubies/ruby-1.9.2-p180/bin/ruby extconf.rb

checking for rb_thread_blocking_region()… yes
checking for mysql.h… yes
checking for errmsg.h… yes
checking for mysqld_error.h… yes
creating Makefile

make
gcc -I. -I/Users/catoyeung/.rvm/rubies/ruby-1.9.2-p180/include/
ruby-1.9.1/x86_64-darwin10.4.0 -I/Users/catoyeung/.rvm/rubies/
ruby-1.9.2-p180/include/ruby-1.9.1/ruby/backward -I/Users/
catoyeung/.rvm/rubies/ruby-1.9.2-p180/include/ruby-1.9.1 -I. -
DHAVE_RB_THREAD_BLOCKING_REGION -DHAVE_MYSQL_H -DHAVE_ERRMSG_H -
DHAVE_MYSQLD_ERROR_H -D_XOPEN_SOURCE -D_DARWIN_C_SOURCE -I/usr/local/
mysql/include -g -Os -arch i386 -fno-common -D_P1003_1B_VISIBLE -
DSIGNAL_WITH_VIO_CLOSE -DSIGNALS_DONT_BREAK_READ -
DIGNORE_SIGHUP_SIGQUIT -DDONT_DECLARE_CXA_PURE_VIRTUAL -fno-common -
O3 -ggdb -Wextra -Wno-unused-parameter -Wno-parentheses -Wpointer-
arith -Wwrite-strings -Wno-missing-field-initializers -Wshorten-64-
to-32 -Wno-long-long -fno-common -pipe -Wall -funroll-loops -o
client.o -c client.c
In file included from /Users/catoyeung/.rvm/rubies/ruby-1.9.2-p180/
include/ruby-1.9.1/ruby.h:32,
from ./mysql2_ext.h:8,
from client.c:1:
/Users/catoyeung/.rvm/rubies/ruby-1.9.2-p180/include/ruby-1.9.1/ruby/
ruby.h:108: error: size of array ruby_check_sizeof_long is negative
/Users/catoyeung/.rvm/rubies/ruby-1.9.2-p180/include/ruby-1.9.1/ruby/
ruby.h:112: error: size of array ruby_check_sizeof_voidp is negative
In file included from /Users/catoyeung/.rvm/rubies/ruby-1.9.2-p180/
include/ruby-1.9.1/ruby/intern.h:29,
from /Users/catoyeung/.rvm/rubies/ruby-1.9.2-p180/include/
ruby-1.9.1/ruby/ruby.h:1327,
from /Users/catoyeung/.rvm/rubies/ruby-1.9.2-p180/include/
ruby-1.9.1/ruby.h:32,
from ./mysql2_ext.h:8,
from client.c:1:
/Users/catoyeung/.rvm/rubies/ruby-1.9.2-p180/include/ruby-1.9.1/ruby/
st.h:69: error: size of array st_check_for_sizeof_st_index_t is
negative
make: *** [client.o] Error 1

Gem files will remain installed in /Users/catoyeung/.rvm/gems/
ruby-1.9.2- [email protected]_1/gems/mysql2-0.3.7 for inspection.
Results logged to /Users/catoyeung/.rvm/gems/[email protected]_1/
gems/mysql2-0.3.7/ext/mysql2/gem_make.out

Experts, please help.

As far as I remember, u have to install macOs sdk and then reinstall
ruby

2011/10/28 Cato [email protected]

checking for rb_thread_blocking_region()… yes
DHAVE_RB_THREAD_BLOCKING_REGION -DHAVE_MYSQL_H -DHAVE_ERRMSG_H -
from ./mysql2_ext.h:8,
ruby-1.9.1/ruby.h:32,
Results logged to /Users/catoyeung/.rvm/gems/[email protected]_1/
For more options, visit this group at
http://groups.google.com/group/rubyonrails-talk?hl=en.

Sincerely,
Nikita Demeschenko

Have you upgraded to Lion since your original installation? If so, you
need to reinstall the unix tools from Xcode and that should alleviate
the issue for you. Hope that helps.

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs